#!/usr/bin/perl

use strict;
use Data::Dumper::Simple;
require("libmreg.pl");
use DBI;

###############################################################################
## C O N F I G U R A T I O N   S E C T I O N                                  #
###############################################################################

## Edit these values for login to the API
my $api_login = "USER";
my $api_password = "PASSWORD";

## Add your API-IP or -Hostname
my $api_host = "93.190.235.100";
my $api_config = { 'socket' => 'http://' . $api_host . '/api/call.cgi?s_login=' . $api_login . '&s_pw=' . $api_password};
#	debug(Dumper($api_config));

## mobile accounts
my @mobile_accounts = ("44FF83581EFE2748");
my $mobile_class = "MOBILE1";
# minimum amount (if this limit is reached account will be charged)
my $amount_min = 100000;
# amount to charge (if necessary)
my $amount_charge = 10000;


###############################################################################
## P R O G R A M M   S E C T I O N                                            #
## please do not edit beyond this line                                        #
###############################################################################

foreach my $mobile_account (@mobile_accounts) {
	my $command = { 'command' => 'StatusMobileAccount', "accountid" => $mobile_account};
	my $response = mreg_call($command, $api_config);
	if ($$response{CODE} != 200) {
		printError("ERROR: StatusMobileAccount: code: " . $$response{CODE} . " - description: " . $$response{DESCRIPTION});
		exit(1);
	}
#	debug(Dumper($response));
	my $property = $$response{"PROPERTY"};
	my $amount = $$property{"AMOUNT"}[0];
#	debug("amount: $amount");

	if ( ($amount) && ($amount <= $amount_min) ) {
		my $command = { 'command' => 'ChargeMobileAccount', "accountid" => $mobile_account, "mobileclass" => $mobile_class, "amount" => $amount_charge };
		my $response = mreg_call($command, $api_config);
		if ($$response{CODE} != 200) {
			printError("ERROR: ChargeMobileAccount: code: " . $$response{CODE} . " - description: " . $$response{DESCRIPTION});
			exit(1);
		}
#		debug(Dumper($response));
	}
}


# subs
sub debug
{
	my ($msg) = @_;
	print $msg . "\n";
}

sub printError
{
	my ($msg) = @_;
	print $msg . "\n";
}


